<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<div class="widgets">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
?>
<?php
if ( function_exists('register_sidebar') )
    register_sidebar();
?>
<?php function list_pings($comment, $args, $depth) {$GLOBALS['comment'] = $comment;?>
        <li id="comment-<?php comment_ID(); ?>"><?php comment_author_link(); ?>
<?php } ?>
<?php add_filter('get_comments_number', 'comment_count', 0);
		function comment_count( $count ) {
			global $id;
			$comments_by_type = &separate_comments(get_comments('post_id=' . $id));
		return count($comments_by_type['comment']);
}
?>
<?php
function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?>>
     <div id="comment-<?php comment_ID(); ?>">
      		<?php echo get_avatar($comment,$size='75' ); ?>
       		<div class="author"><?php comment_author_link() ?></div>
     		<div class="commentmetadata"><?php comment_date('jS F Y') ?>&nbsp;&nbsp;<?php edit_comment_link('Edit','','')?></div>
	  		<div class="commentdata">
      			<?php comment_text() ?>
	   			<?php if ($comment->comment_approved == '0') : ?>
         		<em><?php _e('Your comment is awaiting moderation.') ?></em>
         		<br />
      		<?php endif; ?>
	        <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      		</div>
			</div>
  </div>
<?php
        }